package gs.smolban.db

import cats.data.EitherT
import gs.smolban.model.Group

trait GroupDb[F[_]]:
  def createGroup(group: Group): EitherT[F, DbError, Group]

  def readGroup(id: Group.Id): F[Option[Group]]

  def deleteGroup(id: Group.Id): F[Boolean]
